From bbf32249725b54eb0b27d55fb39de6e7082b191c Mon Sep 17 00:00:00 2001
From: Till Wegmueller <toasterson@gmail.com>
Date: Mon, 29 Nov 2021 23:42:06 +0100
Subject: [PATCH] Try to fix broken if not statement

---
 tools/jenkinshelper.ksh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/tools/jenkinshelper.ksh b/tools/jenkinshelper.ksh
index d046fa6..5f5a0a5 100755
--- a/tools/jenkinshelper.ksh
+++ b/tools/jenkinshelper.ksh
@@ -73,7 +73,7 @@
 	platform=$(uname -p)
 
 	# check if we already have this branch set up as a pkg.depotd:
-	if ! "svcs pkg/server:${BRANCH_NAME}" >/dev/null 2>&1; then
+	if ! svcs "pkg/server:${BRANCH_NAME}"; then
 
 		# get highest port from ${HTTPCONF} to figure out the next free one
 		nextport=$(($(nawk -F '[/:]' '{ print $7 }' <"${HTTPCONF}" | sort -n | tail -1) + 1))

--
Gitblit v1.9.3